# HELP
# This will output the help for each task
# thanks to https://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
.PHONY: help

help: ## This help.
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

.DEFAULT_GOAL := help

CI_REGISTRY=registry.gitlab.com/fastplatform/ops/ci


## Image mirroring

# Mirror Docker images
.PHONY: mirror-docker-images
mirror-docker-images: ## Mirror Docker images
	$(eval TARGET_REGISTRY := $(CI_REGISTRY))
	docker build -t ${TARGET_REGISTRY}/bazel:3.1.0-py3738 -f Dockerfile.py3738 .
	docker push ${TARGET_REGISTRY}/bazel:3.1.0-py3738
	docker build -t ${TARGET_REGISTRY}/bazel:3.1.0-py3738-mono -f Dockerfile.py3738-mono .
	docker push${TARGET_REGISTRY}/bazel:3.1.0-py3738-mono
